<template>
  <div class="border-2 border-gray-600 shadow text-sm p-3 w-4/12 mx-0 my-4 lg:text-xl md:text-xl">
    <input
      v-on:keyup.enter="submit"
      type="text"
      v-model="disciplina"
      class="w-full outline-none px-3 text-gray-700 font-sans"
      placeholder="Disciplina"
    />
  </div>
</template>

<script lang="ts">
import { Component, Vue, Watch } from "vue-property-decorator";
@Component
export default class SearchBar extends Vue {
  public disciplina = "";
  public submit() {
    this.$store.dispatch("enterDown");
  }
  @Watch("disciplina")
  alteraState(d: string) {
    this.$store.dispatch("alteraDisciplina", d);
  }
}
</script> 
